Runtime

## org.eclipse.gmf.runtime.emf.type.core
Class ClientContext

    java.lang.Object
      org.eclipse.gmf.runtime.emf.type.core.ClientContext

All Implemented Interfaces:
  IClientContext

public class ClientContext
extends java.lang.Object
implements IClientContext

The implementation of the client context interface.

This class may be instantiated or subclassed by clients.

Constructor Summary
`ClientContext(java.lang.String id, IElementMatcher matcher)` Initializes me with my ID and my element matcher.

Method Summary
`void` `bindId(java.lang.String typeId)` Binds a specific element type or advice to me.
`void` `bindPattern(java.util.regex.Pattern pattern)` Binds a pattern of element types and advice to me.
`boolean` `equals(java.lang.Object obj)` The context ID fully determines equality.
`java.util.Collection` `getChildren()` Has no children.
`java.lang.String` `getId()` Returns the context ID defined by the client if this is not a multi-context.
`IElementMatcher` `getMatcher()` Obtains the element matcher that determines the elements belong to me.
`int` `hashCode()` The context ID fully determines equality.
`boolean` `includes(org.eclipse.gmf.runtime.emf.type.core.internal.descriptors.IEditHelperAdviceDescriptor adviceDescriptor)` Queries whether I am bound to the specified `adviceDescriptor`.
`boolean` `includes(IElementType elementType)` Queries whether I am bound to the specified `elementType`.
`boolean` `includes(IElementTypeDescriptor elementTypeDescriptor)` Queries whether I am bound to the specified `elementTypeDescriptor`.
`boolean` `isMultiClientContext()` Not a multi-context.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClientContext

    public ClientContext(java.lang.String id,
                         IElementMatcher matcher)

  Initializes me with my ID and my element matcher.

Parameters:
  `id` - my unique identifier
  `matcher` - my element matcher

Method Detail

### getId

    public final java.lang.String getId()

  Description copied from interface: `IClientContext`
  Returns the context ID defined by the client if this is not a multi-context. It is is a mult-context, returns the multi-context ID.

  Specified by:
    `getId` in interface `IClientContext`
  Returns:
    my context ID

### getMatcher

    public final IElementMatcher getMatcher()

  Description copied from interface: `IClientContext`
  Obtains the element matcher that determines the elements belong to me.

  Specified by:
    `getMatcher` in interface `IClientContext`
  Returns:
    my selector

### includes

    public boolean includes(org.eclipse.gmf.runtime.emf.type.core.internal.descriptors.IEditHelperAdviceDescriptor adviceDescriptor)

  Description copied from interface: `IClientContext`
  Queries whether I am bound to the specified `adviceDescriptor`.

  Specified by:
    `includes` in interface `IClientContext`
  Returns:
    `true` if I am bound to the `a`; `false`, otherwise

### includes

    public boolean includes(IElementTypeDescriptor elementTypeDescriptor)

  Description copied from interface: `IClientContext`
  Queries whether I am bound to the specified `elementTypeDescriptor`.

  Specified by:
    `includes` in interface `IClientContext`
  Parameters:
    `elementTypeDescriptor` - an element type descriptor
  Returns:
    `true` if I am bound to the `elementTypeDescriptor`; `false`, otherwise

### includes

    public boolean includes(IElementType elementType)

  Description copied from interface: `IClientContext`
  Queries whether I am bound to the specified `elementType`.

  Specified by:
    `includes` in interface `IClientContext`
  Parameters:
    `elementType` - an element type
  Returns:
    `true` if I am bound to the `elementType`; `false`, otherwise

### bindId

    public void bindId(java.lang.String typeId)

  Description copied from interface: `IClientContext`
  Binds a specific element type or advice to me.

  Specified by:
    `bindId` in interface `IClientContext`
  Parameters:
    `typeId` - the ID of a element type or advice that is to be bound to me

### bindPattern

    public void bindPattern(java.util.regex.Pattern pattern)

  Description copied from interface: `IClientContext`
  Binds a pattern of element types and advice to me.

  Specified by:
    `bindPattern` in interface `IClientContext`
  Parameters:
    `pattern` - the pattern of element type and advice IDs that are bound to me

### getChildren

    public java.util.Collection getChildren()

  Has no children.

  Specified by:
    `getChildren` in interface `IClientContext`
  Returns:
    an array of client context objects

### isMultiClientContext

    public boolean isMultiClientContext()

  Not a multi-context.

  Specified by:
    `isMultiClientContext` in interface `IClientContext`
  Returns:
    `true` for a multi-context, `false` otherwise

### equals

    public boolean equals(java.lang.Object obj)

  The context ID fully determines equality.

### hashCode

    public int hashCode()

  The context ID fully determines equality.

### toString

    public java.lang.String toString()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.